
Figure - Bug #117696
【IOVDEV-24758】【IOV测试】【VC1】【SORP】【声音竞合】【实车306】主屏播放在线电台，副屏电话会
议，会议结束，音乐未播放
2023-04-27 16:32 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-04-27

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0072.C101��副屏版本：0086

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: Add stream type focus judgement��and Modify VOIP focus request location

Description

【前提条件】：

车机上电、网络状态良好、时间显示正确、 账号登录正确

【操作步骤】：

1、播放在线音乐

2、副屏电话会议

3、会议结束

【实际结果】：

1、主屏媒体依然暂停

【期望结果】：

1、电话会议结束，媒体恢复播放

【研发解决问题依赖】：

1、问题发生环境：EE

2、车机VIN号:LJD8BC3F1P0000306

3、bug时间：2023/4/26   1112

【备注】：

【软件版本号】：

中控版本：03.02.0072.C101

副屏版本：0086

History

#1 - 2023-05-04 16:07 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL，

■ 当前分析

飞书在通话结束时，副屏挂断会触发一个多媒体的焦点申请，流类型为system类型，会导致中控焦点转移到副屏。

当前解决方案，

将流类型system也进行判断，使其不和中控申请媒体焦点。

#2 - 2023-05-05 17:59 - IoT scm
Gerrit Merge Information：

ID Project Branch Uploader

197626 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Add stream type focus judgementAdd stream type focus judgementand Modify VOIP focus request locationTC-RID: 0301-0900116IssueID:

TS-R-DF-117696Change-Id: I3346ec886ad2e2aa565a5d3332eca6a8a6a4b52b

#3 - 2023-05-05 19:05 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to Add stream type focus judgement

and Modify VOIP focus request location

Hi 永红

该问题的修复提交已经投入，请使用5月5日后的版本进行验证，谢谢！

#4 - 2023-05-09 19:37 - CD TEST-方永红

- Status changed from RESOLVED to NEED_INFO

- Assignee changed from CD TEST-方永红 to CDTS_Test 吴诗雨

#5 - 2023-05-10 13:52 - CD TEST-方永红

5.10

验证通过

#6 - 2023-05-12 17:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199456 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix the music not playingFix the music not playing after the end of VOIP in larkTC-RID: 0301-0900116IssueID: TS-R-DF-117696Change-Id:

Iaa32e46b102522f6660c6bb8f3901741cd51c809

#7 - 2023-05-17 16:25 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED
#8 - 2023-05-17 16:25 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-17 16:25 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

mmexport1682478772309.mp4 10.4 MB 2023-04-27 CDTS_Test 吴诗雨

log.7z 1.94 MB 2023-04-27 CDTS_Test 吴诗雨
